Creates a User.

- When creating a user that conflicts with an existing unmanaged consumer account, the API response depends on your conflicting [account management settings](https://knowledge.workspace.google.com/admin/users/find-and-add-unmanaged-users#set_option):
  - `201 Created`: Returned if no settings are configured, or the option is set to **Replace their conflicting account with managed one**.
  - `202 Accepted`: Returned if the option is set to **Automatically invite users**.
  - `409 Conflict`: Returned if the option is set to **Preserve their conflicting account**.

### HTTP request

`POST https://cloudidentityscim.googleapis.com/v1/customers/{customerId}/v2/Users`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customerId` | `string` Required. The unique identifier for the customer in Cloud Identity. The customer ID is an alphanumeric string that begins with the letter `C`, for example, `C01234abc`. To find your customer ID, see [Find your customer ID](https://support.google.com/cloudidentity/answer/10070793). |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/identity/docs/scim/reference/rest/v1/customers.v2.Users#User`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/identity/docs/scim/reference/rest/v1/customers.v2.Users#User`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admin.directory.user`

For more information, see the [Authorization guide](https://docs.cloud.google.com/workspace/guides/configure-oauth-consent).